Bug 479801 - System-config-display does not display correct resolution list
System-config-display does not display correct resolution list
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
13
All Linux
low Severity high
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
: Triaged
Depends On: 540100
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-13 02:07 EST by Otto J. Makela
Modified: 2011-06-27 10:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 10:05:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot showing 1400x1050 as maximum resolution available (50.58 KB, image/png)
2009-01-13 02:07 EST, Otto J. Makela
no flags Details
Log produced when booting without any xorg.conf (157.97 KB, text/plain)
2009-02-20 17:28 EST, Otto J. Makela
no flags Details
Xorg.0.log as it fails to use the requested display resolution (46.68 KB, text/plain)
2010-06-11 18:17 EDT, xunilarodef
no flags Details
/etc/X11/xorg.conf after system-config-display is told about 1280x1024 capabilities (817 bytes, text/plain)
2010-06-11 18:26 EDT, xunilarodef
no flags Details

  None (edit)
Description Otto J. Makela 2009-01-13 02:07:10 EST
Created attachment 328840 [details]
Screenshot showing 1400x1050 as maximum resolution available

Description of problem:
The list of available resolutions in system-config-display often does not include the current auto-detected resolution. Something seems to be wrong with the mechanism for retrieving the current resolution (I currently have a nVidia GeForce 8500GT display card, but I've seen the same problem with other cards)

Version-Release number of selected component (if applicable):
system-config-display-1.1.1-1.fc10.noarch

How reproducible:
Use a 1920x1080 (HDTV) or 1600x1200 resolution display, let X auto-configure itself to use maximum resolution

Steps to Reproduce:
1. Run system-config-display (see additional info below)
2. Open Resolution pulldown menu
  
Actual results:
Resolution list only goes up to 1400x1050

Expected results:
Also the current auto-detected resolution should be displayed

Additional info:
This is the Fedora 10 incarnation of Bug 244520 which never was fixed.
Complicated by Bug 432349 which may require that --reconfig be used from command line, see also Bug 473078 and Bug 475901
Comment 1 Matěj Cepl 2009-01-27 20:28:29 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf (if you have one) whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Otto J. Makela 2009-02-20 17:28:01 EST
Created attachment 332775 [details]
Log produced when booting without any xorg.conf

This is /var/log/Xorg.0.log from when X was started without a /etc/X11/xorg.conf file. The system nicely started X in the autodetected 1920x1020 mode. At this time, the best resolution showed by system-config-display was 1600x1200 which was a bit of an improvement from the original, but of course hardly perfect.
Comment 3 Jonathan Kamens 2009-04-23 10:47:00 EDT
I am also seeing this problem.  Xorg uses the openchrome driver on my system when no xorg.conf is installed.  I have a P4M890 [S3 UniChrome Pro], according to the xorg.conf created by "Xog -config".  My monitor is a 22" ViewSonic LCD, model VS11349 (VX2245WM).
Comment 4 Jonathan Kamens 2009-04-23 10:47:41 EDT
Oh, and I'm seeing this in Rawhide on an i686 system (not x86_64).
Comment 5 Bug Zapper 2009-11-18 04:45:51 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Jonathan Kamens 2009-11-22 07:08:21 EST
Adding a dependency on bug 540100 because I can't test if this bug is still a problem until that bug is fixed.
Comment 7 Bug Zapper 2010-03-15 08:23:55 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 xunilarodef 2010-06-11 18:17:50 EDT
Created attachment 423402 [details]
Xorg.0.log as it fails to use the requested display resolution
Comment 9 xunilarodef 2010-06-11 18:19:08 EDT
  On a system with an historical display, a Dell M570 CRT, Fedora 13 seems
to be preventing all efforts to drive this display at its maximum resolution.
While the manual:
  https://support.dell.com/support/edocs/monitors/6204t/en/Spec.htm
is a bit restrained:
 - - -
Resolution
 Horizontal scan range 	30 kHz to 70 kHz (automatic)
 Vertical scan range 	50 Hz to160 Hz (automatic)
 Optimal preset resolution 	800 x 600 at 85 Hz
 Highest preset resolution 	1024 x 768 at 85 Hz
 Highest addressable resolution* 	1280 x 1024 at 60 Hz
 * Addressable means the monitor will sync up to this mode.  However, Dell does 
 not guarantee the image will be sized, shaped and centered correctly.
 - - -
this particular monitor happens to deliver a quite usable image at
1280 x 1024 under another operating system. 

  Attempts to use system-config-display start with its
Hardware tab showing:
 Monitor Type: DELL M570 (autoconfigured)
Even if one uses the Configure... command button to select:
 Generic CRT Disply: 
  Monitor 1280 x 1024
this resolution is never shown as a choice on the Settings tab.

  While one can use xrandr to stuff an appropriate mode line into the
list of choices, I have yet to figure out how to convince xrandr to
actually switch to that mode.

  Would not it be nice, even desirable, for each of (rather than none of)
xrandr, system-config-display, and gnome system display preferences
to be capable of configuring a monitor at a desired resolution which
another operating system uses without complaint?

Some of the relevant lines extracted from the attached Xorg.0.DellM570.log:
 - - - 
[    84.380] (II) intel(0): Manufacturer: DEL  Model: 30cc  Serial#: 109525blah
[    84.380] (II) intel(0): Year: 2001  Week: 30
[    84.380] (II) intel(0): EDID Version: 1.2
[    84.380] (II) intel(0): Analog Display Input,  Input Voltage Level: 0.700/0.300 V
[    84.380] (II) intel(0): Sync:  Separate
[    84.381] (II) intel(0): Max Image Size [cm]: horiz.: 28  vert.: 21
[    84.381] (II) intel(0): Gamma: 2.28
[    84.381] (II) intel(0): DPMS capabilities: StandBy Suspend Off; RGB/Color Display
[    84.381] (II) intel(0): First detailed timing is preferred mode
[    84.381] (II) intel(0): redX: 0.625 redY: 0.340   greenX: 0.280 greenY: 0.595
[    84.381] (II) intel(0): blueX: 0.150 blueY: 0.063   whiteX: 0.281 whiteY: 0.311
[    84.382] (II) intel(0): Supported established timings:
[    84.382] (II) intel(0): 720x400@70Hz
[    84.382] (II) intel(0): 640x480@60Hz
[    84.382] (II) intel(0): 640x480@75Hz
[    84.382] (II) intel(0): 800x600@60Hz
[    84.382] (II) intel(0): 800x600@75Hz
[    84.382] (II) intel(0): 1024x768@60Hz
[    84.382] (II) intel(0): 1024x768@75Hz
[    84.382] (II) intel(0): Manufacturer's mask: 0
[    84.382] (II) intel(0): Supported standard timings:
[    84.383] (II) intel(0): #0: hsize: 1024  vsize 768  refresh: 85  vid: 22881
[    84.383] (II) intel(0): #1: hsize: 640  vsize 480  refresh: 85  vid: 22833
[    84.383] (II) intel(0): #2: hsize: 1280  vsize 1024  refresh: 60  vid: 32897
 :
[    84.396] (II) intel(0): Not using default mode "1280x1024" (width too large for virtual size)
 - - -
Comment 10 xunilarodef 2010-06-11 18:26:49 EDT
Created attachment 423403 [details]
/etc/X11/xorg.conf after system-config-display is told about 1280x1024 capabilities

There seems to be no benefit to restarting X after this change, since afterwards the desired resolution is still not available in the drop down list.

[root@who ~]# system-config-display --reconfig --set-resolution=1280x1024
[root@who ~]# 

returns without error or comment, but also without effect.
Comment 11 Bug Zapper 2011-06-02 14:18:15 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Otto J. Makela 2011-06-08 16:27:04 EDT
Unfortunately, I no longer have any Fedora 13 installations to test this against,
and current releases no longer have a system-config-display. Anyone else?
Comment 13 Bug Zapper 2011-06-27 10:05:18 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.